- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes

# FbxProcessorXRefCopy Class Reference

Search for all occurrences

## Detailed Description

This class contains objects This class also provides access to global settings and take information.

Definition at line 26 of file fbxprocessorxref.h.

`#include <fbxprocessorxref.h>`

Inheritance diagram for FbxProcessorXRefCopy:
[legend]

List of all members.

## Classes
struct | AutoRevertPropertyChanges
| This is just a safety net to make sure RevertPropertyChanges is called when this goes out of scope. More...
class | MissingUrlHandler
struct | PropertyUpdate
| Since FbxProperty is an opaque type, we can't do an efficient operator < on it, and must keep the data on the object, which can be compared through pointers, and then we can further compare against the property name. More...
## Public Types
typedef FbxSet2< PropertyUpdate > | UpdateSet
typedef FbxMap< FbxObject *, UpdateSet > | PropertyUpdateMap
## Public Member Functions
PropertyUpdateMap & | GetUpdatedProperties ()
| All properties that were updated, with their original value.
void | RevertPropertyChanges ()
| If property tracking was enabled, goes through and reverts all changes to the properties.
## Public Attributes
MissingUrlHandler * | MissingUrlHandler
| Optional callback; when set, this will be called when an Url cannot be be copied because the source is not found.
Properties
FbxPropertyT< FbxString > | OutputDirectory
FbxPropertyT< FbxBool > | UpdateProperties
| As we resolve xref and copy assets, do we update properties to now use this relative path? Defaults to TRUE.
FbxPropertyT< FbxBool > | TrackUpdatedProperties
| Default to FALSE -- when set, this informs the processor to track every properties that were modified during the scene processing.
FbxPropertyT< FbxBool > | ForceCopy
| Default to TRUE -- when not set, files are only copied if one of the following conditions is met:
FbxPropertyT< FbxBool > | CopyFileTimes
| Default to TRUE -- when copying a file, also copy its modification time.
## Protected Member Functions
| FbxProcessorXRefCopy (FbxManager &pManager, char const *pName)
bool | ConstructProperties (bool pForceSet)
bool | ShouldCopyFile (const FbxString &pTarget, const FbxString &pSource) const
Overridable internal function
virtual bool | internal_ProcessCollectionBegin (FbxCollection *pObject)
virtual bool | internal_ProcessCollectionEnd (FbxCollection *pObject)
virtual bool | internal_ProcessObject (FbxObject *pObject)
bool | ProcessPathProperty (FbxProperty &pProperty)
virtual bool | ValidPropertyForXRefCopy (FbxObject *pObject, FbxProperty &lProperty) const
## Protected Attributes
PropertyUpdateMap | mUpdatedProperties

## Member Typedef Documentation

typedef FbxSet2<PropertyUpdate> UpdateSet

Search for all occurrences

Definition at line 93 of file fbxprocessorxref.h.

typedef FbxMap<FbxObject*, UpdateSet> PropertyUpdateMap

Search for all occurrences

Definition at line 94 of file fbxprocessorxref.h.

## Constructor & Destructor Documentation

FbxProcessorXRefCopy | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

PropertyUpdateMap& GetUpdatedProperties | ( |  | ) |

Search for all occurrences

All properties that were updated, with their original value.

Will always be empty if TrackUpdatedProperties was not set before calling ProcessCollection/ProcessObject. NOT cleared before each processing run.

void RevertPropertyChanges | ( |  | ) |

Search for all occurrences

If property tracking was enabled, goes through and reverts all changes to the properties.

Does not un-copy the files, naturally.

bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

Reimplemented in FbxProcessorXRefCopyUserLibrary.

bool ShouldCopyFile | ( | const FbxString & | pTarget,
|  | const FbxString & | pSource
| ) |  | const `[protected]`

Search for all occurrences

virtual bool internal_ProcessCollectionBegin | ( | FbxCollection * | pObject | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxProcessor.

virtual bool internal_ProcessCollectionEnd | ( | FbxCollection * | pObject | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxProcessor.

virtual bool internal_ProcessObject | ( | FbxObject * | pObject | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxProcessor.

bool ProcessPathProperty | ( | FbxProperty & | pProperty | ) | `[protected]`

Search for all occurrences

virtual bool ValidPropertyForXRefCopy | ( | FbxObject * | pObject,
|  | FbxProperty & | lProperty
| ) |  | const `[protected, virtual]`

Search for all occurrences

Reimplemented in FbxProcessorXRefCopyUserLibrary.

## Member Data Documentation

FbxPropertyT<FbxString> OutputDirectory

Search for all occurrences

Definition at line 42 of file fbxprocessorxref.h.

FbxPropertyT<FbxBool> UpdateProperties

Search for all occurrences

As we resolve xref and copy assets, do we update properties to now use this relative path? Defaults to TRUE.

Definition at line 47 of file fbxprocessorxref.h.

FbxPropertyT<FbxBool> TrackUpdatedProperties

Search for all occurrences

Default to FALSE -- when set, this informs the processor to track every properties that were modified during the scene processing.

Definition at line 52 of file fbxprocessorxref.h.

FbxPropertyT<FbxBool> ForceCopy

Search for all occurrences

Default to TRUE -- when not set, files are only copied if one of the following conditions is met:

1) Target does not exist 2) Target has a different time 3) Target has a different size

Definition at line 61 of file fbxprocessorxref.h.

FbxPropertyT<FbxBool> CopyFileTimes

Search for all occurrences

Default to TRUE -- when copying a file, also copy its modification time.

A bit of a requirement if you're not going to use ForceCopy.

Definition at line 66 of file fbxprocessorxref.h.

MissingUrlHandler* MissingUrlHandler

Search for all occurrences

Optional callback; when set, this will be called when an Url cannot be be copied because the source is not found.

Memory is owned by the client code, and will not be freed by us.

Definition at line 73 of file fbxprocessorxref.h.

PropertyUpdateMap mUpdatedProperties `[protected]`

Search for all occurrences

Definition at line 131 of file fbxprocessorxref.h.

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxprocessorxref.h

FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy
FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy FbxProcessorXRefCopy